package net.cobem.grizzly.communication.composers.user;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;

public class SendAllowancesComposer {
    public static EventResponse compose(boolean HasBadge) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.CheckAllowancesEvent);
        Message.addInt(HasBadge ? 7 : 5); //PASSED = 7 ELSE = 5
        Message.addString("VOTE_IN_COMPETITIONS");
        Message.addBool(true);
        Message.addString("");
        Message.addString("TRADE");
        Message.addBool(true);
        Message.addString("");
        Message.addString("CITIZEN");
        Message.addBool(true);
        Message.addString("");

        if (HasBadge) {
            Message.addString("SAFE_CHAT");
            Message.addBool(true);
            Message.addString("");
            Message.addString("FULL_CHAT");
            Message.addBool(true);
            Message.addString("");
        }

        Message.addString("CALL_ON_HELPERS");
        Message.addBool(true);
        Message.addString("");
        Message.addString("USE_GUIDE_TOOL");
        Message.addBool(false);
        Message.addString("requirement.unfulfilled.helper_level_4");
        Message.addString("JUDGE_CHAT_REVIEWS");
        Message.addBool(false);
        Message.addString("requirement.unfulfilled.helper_level_6");

        return Message;
    }
}
